Merge branch '2.9dev' into mass_testing_check_cmd_lines

This commit is contained in:
David Cooper 2017-05-30 16:54:25 -04:00
commit 92f1d56b75
3 changed files with 7 additions and 0 deletions

View File

@ -101,6 +101,7 @@ fi
# make sure that temporary files are cleaned up after use in ANY case # make sure that temporary files are cleaned up after use in ANY case
trap "cleanup" QUIT EXIT trap "cleanup" QUIT EXIT
trap "child_error" USR1
readonly VERSION="2.9dev" readonly VERSION="2.9dev"
readonly SWCONTACT="dirk aet testssl dot sh" readonly SWCONTACT="dirk aet testssl dot sh"
@ -11175,6 +11176,7 @@ URI always needs to be the last parameter.
EOF EOF
#' Fix syntax highlight on sublime #' Fix syntax highlight on sublime
"$CHILD_MASS_TESTING" && kill -s USR1 $PPID
exit $1 exit $1
} }
@ -11386,6 +11388,11 @@ cleanup () {
grep -q xtrace <<< "$SHELLOPTS" && ! "$DEBUG_ALLINONE" && exec 2>&42 42>&- grep -q xtrace <<< "$SHELLOPTS" && ! "$DEBUG_ALLINONE" && exec 2>&42 42>&-
} }
child_error() {
cleanup
exit 1
}
fatal() { fatal() {
outln outln
prln_magenta "Fatal error: $1" >&2 prln_magenta "Fatal error: $1" >&2